## debian-edu-config 1.445

=== Makefile ===
PACKAGE = debian-edu-config

PROGS = \
	debian-edu-ldapserver \
	ltsp-arch-debian-edu \
	update-ini-file

SPROGS = cfengine-debian-edu \
	debian-edu-fsautoresize \
	debian-edu-hd-warn \
	debian-edu-hwsetup \
	debian-edu-ltsp \
	debian-edu-ltsp-audiodivert \
	debian-edu-pxeinstall \
	debian-edu-restart-services \
	debian-edu-test-install \
	debian-edu-update-netblock \
	snakeoil-on-ice \
	update-hostname-from-ip

INSTALL     = install -D -p -m 755
INSTALL_DATA= install -D -p -m 644

prefix     = /usr/local
sysconfdir = /etc
cfdir      = $(sysconfdir)/cfengine/debian-edu
bindir     = $(prefix)/bin
sbindir    = $(prefix)/sbin
docdir     = $(prefix)/share/doc/$(PACKAGE)
mandir     = $(prefix)/share/man
gosadir    = $(sysconfdir)/gosa
ldapdir    = $(sysconfdir)/ldap
schemadir  = $(ldapdir)/schema
dhcpdir   = $(sysconfdir)/dhcp
libdir     = /usr/lib
pkglibdir  = $(libdir)/debian-edu-config
mailcapdir = $(libdir)/mime/packages
vardir     = /var
wwwdir     = /etc/debian-edu/www


CFFILES = \
	cf.apache2 \
	cf.apt \
	cf.pdns \
	cf.cfengine \
	cf.cups \
	cf.dhcpserver \
	cf.exim \
	cf.imap \
	cf.homes \
	cf.iceweasel \
	cf.inetd \
	cf.kdm \
	cf.ldapserver \
	cf.ldapclient \
	cf.ltsp \
	cf.lwat \
	cf.fstab \
	cf.mplayer \
	cf.nagios3 \
	cf.ntp \
	cf.samba \
	cf.squid \
	cf.syslog \
	cf.sysstat \
	cf.testsetup \
	cfd.conf \
	cfengine.conf

CFBINFILES = \
	cfd \
	cfrunhosts.pl

# Files to install in /etc/
SYSCONFFILES = \
	asound.conf \
	apt/apt.conf.d/90squid \
	apt/apt.conf.d/99-edu-prefer-iceweasel \
	X11/Xsession.d/05debian-edu-truncate-xerrorlog \
	X11/Xsession.d/10debian-edu-one-login-per-host \
	X11/Xsession.d/15debian-edu-ltsp \
	desktop-profiles/debian-edu-config.listing \
	debian-edu/hd-warn.conf \
	debian-edu/nightkill.conf \
	debian-edu/lts.conf.dist \
	default/backdoor \
	default/munin-node \
	cfengine/cfservd.conf \
	cfengine/update.conf \
	cfengine/inputs/cfagent.conf \
	cups/cupsd-debian-edu.conf \
	dhcp/dhclient-exit-hooks.d/hostname-update \
	dhcp/dhclient-exit-hooks.d/wpad-proxy-update \
	dhcp/dhcpd-debian-edu.conf \
	dhcp/dhclient-debian-edu.conf \
	exim4/exim-ldap-client-v4.conf \
	exim4/exim-ldap-server-v4.conf \
	filesystems \
	gosa/gosa.conf \
	insserv/overrides/kdm \
	insserv/overrides/ntp \
	insserv.conf.d/debian-edu-config \
	ldap/rootDSE-debian-edu.ldif \
	ldap/slapd-squeeze_debian-edu.conf \
	ldap/ssl/slapd-cert.cnf \
	samba/netlogon/login.bat \
	samba/netlogon/shortcut.vbs \
	samba/smb-debian-edu.conf \
	samba/smb-winbind-debian-edu.conf \
	security/pam_mount-winbind-debian-edu.conf \
	security/pam_mount-stateless-debian-edu.conf \
	sssd/sssd-debian-edu.conf \
	xdg/autostart/welcome-webpage.desktop \
	lsb-release \
	apache2/mods-available/debian-edu-userdir.conf \
	apache2/sites-available/debian-edu-default \
	apache2/sites-available/debian-edu-ssl-default \
	apache2/conf.d/debian-edu-config-doc \
	nagios3/debian-edu/cgi.cfg \
	nagios3/debian-edu/commands.cfg \
	nagios3/debian-edu/contactgroups.cfg \
	nagios3/debian-edu/contacts.cfg \
	nagios3/debian-edu/dependencies.cfg \
	nagios3/debian-edu/htpasswd.users \
	nagios3/debian-edu/escalations.cfg \
	nagios3/debian-edu/hostextinfo.cfg \
	nagios3/debian-edu/hostgroups.cfg \
	nagios3/debian-edu/hosts.cfg \
	nagios3/debian-edu/host_templates.cfg \
	nagios3/debian-edu/nagios.cfg \
	nagios3/debian-edu/resources.cfg \
	nagios3/debian-edu/serviceextinfo.cfg \
	nagios3/debian-edu/servicegroups.cfg \
	nagios3/debian-edu/services.cfg \
	nagios3/debian-edu/service_templates.cfg \
	nagios3/debian-edu/timeperiods.cfg \
	munin/debian-edu-munin-node.conf \
	polkit-1/localauthority.conf.d/80-edu-admin.conf \
	powerdns/pdns.d/pdns-debian-edu.conf\
	dbus-1/system.d/hal-debian-edu.conf

LIBFILES = \
	mime/packages/debian-edu-mailcap

SYSCONFSCRIPTS = \
	ltspfs/mounter.d/edu-notify \
	mklocaluser.d/20-debian-edu-config \
	shutdown-at-night/clients-generator \
	resolvconf/update.d/bind-debian-edu \
	resolvconf/update.d/ltsp-chroots \
	X11/Xsession-debian-edu \
	samba/smbaddclient.pl

SCHEMAS = \
	samba.schema \
	dhcp.schema \
	dnsdomainaux.schema \
	ltspclientaux.schema \
	eduorg-200210-openldap.schema \
	eduperson-200806-openldap.schema \
	kerberos.schema \
	noreduperson-1.5-openldap.schema \
	samba3.schema \
	sudo.schema \
	trust.schema \
	gosystem.schema \
	gofon.schema \
	goto.schema \
	gosa-samba3.schema \
	gofax.schema \
	goserver.schema \
	goto-mime.schema

LDIFS = \
	root.ldif \
	autofs.ldif \
	ipnetworks.ldif \
	netgroup.ldif \
	dhcp.ldif \
	dhcp_hosts.ldif \
	dns_skole.ldif \
	dns_arpa.ldif \
	dns_ranges.ldif \
	samba.ldif \
	sudo.ldif \
	krb5.ldif \
	ltsp.ldif \
	gosa.ldif \
	gosa-server.ldif

LDAPPROGRAMS = \
	ldap-add-host-to-netgroup \
	ldap-add-user-to-group \
	ldap-createuser-krb5 \
	ldappasswd2 \
	ldap2netgroup \
	ldap-debian-edu-install \
	ldap-server-getcert \
	mkslapdcert \
	sitesummary2ldapdhcp

WWWFILES = \
	index.html.de \
	index.html.en \
	index.html.es \
	index.html.fr \
	index.html.it \
	index.html.nb \
	index.html.nl \
	index.html.ru \
	index.html.zh \
	skl-ren_css.css \
	logo-trans.png \
	wpad.dat

KIOSKFILES = \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kalzium.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/chguserpw.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kmplot.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kstars.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/ooo-impress.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/ooo-writer.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/gcompris.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/gimp-2.2.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kgeography.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/stopmotion.desktop \
	share/debian-edu/students/share/config/kdeglobals \
	share/debian-edu/students/share/config/konqiconviewrc \
	share/debian-edu/students/share/config/uiserverrc \
	share/debian-edu/students/share/services/update_ksycoca \
	share/debian-edu/students/share/config/menus/applications.menu \
	share/debian-edu/students/share/config/menus/kde-applications.menu \
	share/debian-edu/students/share/applications/kalzium.desktop \
	share/debian-edu/students/share/applications/kbruch.desktop \
	share/debian-edu/students/share/applications/klatin.desktop \
	share/debian-edu/students/share/applications/kmplot.desktop \
	share/debian-edu/students/share/applications/kpercentage.desktop \
	share/debian-edu/students/share/applications/kstars.desktop \
	share/debian-edu/students/share/applications/kturtle.desktop \
	share/debian-edu/students/share/applications/kvoctrain.desktop \
	share/debian-edu/students/share/applications/kwordquiz.desktop \
	share/debian-edu/students/share/applications/oocalc.desktop \
	share/debian-edu/students/share/applications/ooimpress.desktop \
	share/debian-edu/students/share/applications/oowriter.desktop  \
	share/debian-edu/root/share/apps/kdesktop/Desktop/tjener.desktop

all:
	$(MAKE) -C www

install: install-testsuite
	install -d $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(sbindir)
	install -d $(DESTDIR)$(sysconfdir) $(DESTDIR)$(sysconfdir)/cups
	install -d $(DESTDIR)$(ldapdir)
	install -d $(DESTDIR)$(dhcpdir)
	install -d $(DESTDIR)$(mailcapdir)

# program's manpages are autodetected. 
	set -e ; for prog in $(PROGS); do \
		$(INSTALL) bin/$$prog $(DESTDIR)$(bindir) ; \
		if [ -e "share/man/man1/$$prog.1" ]; \
		then \
		$(INSTALL_DATA) "share/man/man1/$$prog.1" $(DESTDIR)$(mandir)/man1/$$sprog.1 ; \
		fi \
	done
# Using manpages autodetection : 
	set -e ; for sprog in $(SPROGS); do \
		$(INSTALL) sbin/$$sprog $(DESTDIR)$(sbindir) ; \
		if [ -e "share/man/man8/$$sprog.8" ]; \
		then \
		$(INSTALL_DATA) "share/man/man8/$$sprog.8" $(DESTDIR)$(mandir)/man8/$$sprog.8 ; \
		fi \
	done

	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README

# Samba roaming profile examples in different languages
	set -e ; for l in en de nb; do \
	$(INSTALL_DATA) doc/examples/smb-roaming-profiles-$$l.conf \
	$(DESTDIR)$(docdir)/examples/smb-roaming-profiles-$$l.conf ; \
	done

	set -e ; for cf in $(CFFILES); do \
		$(INSTALL_DATA) cf/$$cf $(DESTDIR)$(cfdir)/$$cf; \
	done
	set -e ; for cf in $(CFBINFILES); do \
		$(INSTALL) cf/$$cf $(DESTDIR)$(cfdir)/$$cf; \
	done

	set -e ; for file in $(SYSCONFFILES) ; do \
		$(INSTALL_DATA) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	mkdir -p $(DESTDIR)$(sysconfdir)/init.d
	set -e ; for file in $(SYSCONFSCRIPTS) ; do \
		$(INSTALL) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	set -e ; for file in $(LIBFILES) ; do \
		$(INSTALL_DATA) lib/$$file $(DESTDIR)$(libdir)/$$file; \
	done

	set -e ; for f in \
		share/debian-edu-config/d-i/finish-install \
		share/debian-edu-config/d-i/pre-pkgsel \
		share/debian-edu-config/tools/passwd \
		share/debian-edu-config/tools/debian-edu-winbind \
		share/debian-edu-config/tools/get-default-homepage \
		share/debian-edu-config/tools/gosa-create \
		share/debian-edu-config/tools/gosa-remove \
		share/debian-edu-config/tools/gosa-sync \
		share/debian-edu-config/tools/iceweasel-plugin-support \
		share/debian-edu-config/tools/kerberos-kdc-init \
		share/debian-edu-config/tools/ldap-user-clean-attic.sh \
		share/debian-edu-config/tools/ldap-users.pl \
		share/debian-edu-config/tools/ldapdump.sh \
		share/debian-edu-config/tools/locate-syslog-collector \
		share/debian-edu-config/tools/logoutkill.sh \
		share/debian-edu-config/tools/missing-desktop-file \
		share/debian-edu-config/tools/movehome \
		share/debian-edu-config/tools/nbdquery \
		share/debian-edu-config/tools/nbdswap-cleanup \
		share/debian-edu-config/tools/nightkill.sh \
		share/debian-edu-config/tools/notify-local-users \
		share/debian-edu-config/tools/pipegraph \
		share/debian-edu-config/tools/preseed-ldap-kerberos \
		share/debian-edu-config/tools/preseed-sitesummary \
		share/debian-edu-config/tools/qemu-test-network \
		share/debian-edu-config/tools/run-at-firstboot \
		share/debian-edu-config/tools/setup-roaming \
		share/debian-edu-config/tools/show-welcome-webpage \
		share/debian-edu-config/tools/sssd-generate-config \
		share/debian-edu-config/tools/squid-update-cachedir \
		share/debian-edu-config/tools/subnet-change \
		share/debian-edu-config/tools/update-iceweasel-homepage \
		share/debian-edu-config/tools/update-proxy-from-wpad \
		share/debian-edu-config/tools/wpad-extract \
		share/debian-edu-config/ltsp_set_runlevel \
		share/debian-edu-config/ltsp_local_mount \
		share/initramfs-tools/scripts/nfs-bottom/before-ltsp \
		share/ltsp/ltsp_config.d/debian-edu-config-ldap \
		share/ltsp/ltsp_config.d/debian-edu-config-rwbind \
	; do \
		$(INSTALL) $$f $(DESTDIR)/usr/$$f ; \
	done

	set -e ; for f in share/debian-edu/common/share/config/kcookiejarrc \
		share/debian-edu/common/share/apps/kicker/default-apps \
		share/debian-edu/common/share/config/artsmessagerc \
		share/debian-edu/common/share/config/kdeglobals \
		share/debian-edu/common/share/config/kdeprintrc \
		share/debian-edu/common/share/config/kpersonalizerrc \
		share/debian-edu/common/share/config/konquerorrc \
		share/debian-edu/common/share/config/kickoffrc \
		share/debian-edu/common/share/config/nepomukserverrc \
		share/debian-edu/common/share/mimelnk/applnk/msword.desktop \
		share/debian-edu/networked-kde3/share/config/kioslaverc \
		share/debian-edu/networked-kde3/share/config/adept_notifierrc \
		share/debian-edu/networked-kde3/share/config/networkmanagementrc \
		share/debian-edu/thin-client/share/config/kcmartsrc \
	; do \
		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
	done

	set -e ; for f in $(KIOSKFILES) ; do \
		$(INSTALL_DATA) "$$f" "$(DESTDIR)/usr/$$f" ; \
	done

	set -e ; for f in \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/000-arch-detection \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/000-default-dist \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/002-default-apt-keyring \

=== www/Makefile ===
#
# To migrate one of the existing HTML based translations to .po based
# translation, make sure this command work:
#   po4a-gettextize -M UTF-8 -f xhtml -m index.html.en -L UTF-8 -l index.html.XX -p XX.po
# For this to work, the index.html.XX need to be valid XHTML, and have the same structure
# as the english original.  xmllint can be used to find XML errors.

WEBPAGES = \
  index.html.de \
  index.html.en \
  index.html.es \
  index.html.nl \
  index.html.nb \
  index.html.fr \
  index.html.it \
  index.html.ru \
  index.html.zh

all: index.pot $(WEBPAGES)

%.po: index.pot
	msgmerge $@ index.pot > $@.new && mv $@.new $@

index.html.de: index.html.en de.po
	po4a-translate -f xhtml -M UTF-8 -m index.html.en -p de.po -l $@.new -o attributes='<html><head><meta>content'
	mv $@.new $@

index.html.es: index.html.en es.po
	po4a-translate -f xhtml -M UTF-8 -m index.html.en -p es.po -l $@.new -o attributes='<html><head><meta>content'
	mv $@.new $@

index.html.fr: index.html.en fr.po
	po4a-translate -f xhtml -M UTF-8 -m index.html.en -p fr.po -l $@.new -o attributes='<html><head><meta>content'
	mv $@.new $@

index.html.it: index.html.en it.po
	po4a-translate -f xhtml -M UTF-8 -m index.html.en -p it.po -l $@.new -o attributes='<html><head><meta>content'
	mv $@.new $@

index.html.nl: index.html.en nl.po
	po4a-translate -f xhtml -M UTF-8 -m index.html.en -p nl.po -l $@.new -o attributes='<html><head><meta>content'
	mv $@.new $@

index.html.nb: index.html.en nb.po
	po4a-translate -f xhtml -M UTF-8 -m index.html.en -p nb.po -l $@.new -o attributes='<html><head><meta>content'
	mv $@.new $@

index.html.ru: index.html.en ru.po
	po4a-translate -f xhtml -M UTF-8 -m index.html.en -p ru.po -l $@.new -o attributes='<html><head><meta>content'
	mv $@.new $@

index.html.zh: index.html.en zh.po
	po4a-translate -f xhtml -M UTF-8 -m index.html.en -p zh.po -l $@.new -o attributes='<html><head><meta>content'
	mv $@.new $@

index.pot: index.html.en
	po4a-gettextize -M UTF-8 -f xhtml -m index.html.en -p $@

stats:
	for f in *.po; do printf "$$f: " ; msgfmt --statistics -o /dev/null $$f; done

clean:

=== debian/changelog ===
debian-edu-config (1.445) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Add ltsp-build-client custom script to override the default kernel
    choice from 486 to 686, to allow us to change the kernel on the
    DVD.
  * Drop dependency on autofs-ldap.  First of all, the Squeeze version
    is called autofs5-ldap, and secondly it is already a depends of the
    networked profiles.
  * Make sure run-at-firstboot only configure pdns if it is installed.

  [ Vagrant Cascadian ]
  * Also define KERNEL_VERSION, as some other plugins may use it.

  [ Andreas B. Mundt ]
  * Include gosa-server.ldif in ldap bootstrapping.

  [ Translations ]
  * Update Russian debconf translations thanks to Yuri Kozlov. (Closes: 603548)

  [ Holger Levsen ]
  * As #602765 has been fixed, again, stop deploying a copy of 
    /etc/ldap/schema/autofs.schema which belongs to the autofs(5)-ldap package. 
    (Closes: #602084)

 -- Holger Levsen <holger@debian.org>  Tue, 16 Nov 2010 23:07:44 +0100

debian-edu-config (1.444) unstable; urgency=low

  * Turn dependency on lsof into a recommends. lsof is only used by
    two optional tools related to LTSP services, while debian-edu-config
    has many other uses. (Closes: #585712)
  * Stop deploying a copy of /etc/ldap/schema/autofs.schema which belongs to
    the autofs-ldap package. Depend on autofs-ldap instead. (Closes: #602084)
    Thanks to Ralf Treinen and edos.debian.net!

 -- Holger Levsen <holger@debian.org>  Sat, 06 Nov 2010 17:58:58 +0100

debian-edu-config (1.443) unstable; urgency=low

  [ Jürgen Leibner ]
  * Little cleanup of the smb.conf and adjust the examples to match
    the new configuration using kerberos.

  [ Andreas B. Mundt ]
  * Complete gosa-server.ldif: Add missing dns and dhcp entries.
  * Add echo message to help the user with re-initializing the
    kerberos KDC.
  * Improve password changes done by GOsa: Do not show common users the
    passwords in the process list

  [ Petter Reinholdtsen ]
  * Rewrite setup-roaming to use sssd+libpam-mklocaluser instead of
    libpam-ccreds+libpam-localoffline and nscd.  Make it use a
    sssd.conf file included in the package, to make it possible to
    update the configuration using package upgrades.  Switch to use
    Kerberos for authentication, and purge libpam-ldapd and
    libpam-krb5 to avoid duplicate password checking and nscd to avoid
    duplicate caching.
  * Add libpam-mklocaluser hook script for roaming workstations to add
    a KDE and Gnome bookmark/places link to the SMB exported home
    directory when the local user is created.  Use sambaHomePath
    attribute from LDAP if it is set to locate the SMB mount point,
    and generate if from the NFS mount point if the attribute is not
    set.
  * Adjust the roaming NSS setup to use LDAP for network names too.
  * Adjust roaming setup, remove obsolete nslcd config and add sss to
    netgroup part of nsswitch.conf to use it when sssd get netgroup
    support.
  * Try to generates sssd configuration dynamically and fall back to
    static setup if this fail.
  * Depend on ldap-utils to ensure ldapsearch is available when it is
    needed by the autodetection and test code.
  * Adjust roaming setup, purge the killer package to avoid throwing
    out the user when idle.
  * Add default config for networkmanager-kde on networked KDE
    systems, to not start it at login.
  * Add autostart entry to start the web browser with http://www/ as
    the welcome page when a user log in for the first time.  The URL
    is fetched from LDAP using the labeledURI attribute from RFC 2079
    in the users LDAP object and all parent objects up to and
    including dc=skole,dc=skolelinux,dc=no object, as well as the root
    DSE, to make it easy for administrators to change the start page
    for new users using the LDAP protocol. Add labeledURIObject object
    class to LDAP subtree object People, Students and Teachers as well
    as the base object.
  * Test suite:
    - Rewrite dnsd tests to no longer look for obsolete DNS entries
      (the ltspserver00, static00 and static200 entries are no longer
      in DNS).
    - Start on code to check the Kerberos server.
    - Add LTSP test to verify that IPv4 forwarding is enabled in the
      kernel.
    - Add LTSP test to verify that the default settings are available
      in LDAP.
    - Add LTSP test to verify that ldinfod can be contacted outside
      localhost (detects #519316 in inetutils-inetd).
    - Extend samba test to verify the sambadomain object is present in
      LDAP.
    - Extend samba test to verify that the net binary is available,
      and use it to verify that the Domain Admins group is listed in
      the samba group map.
    - Change samba test to look for the smbadmin user anywhere in
      LDAP, and not under a fixed CN.
    - Adjust ldap-client test to not check nscd but instead check sssd
      with roaming workstations.
    - Add ldap-client test to verify that only one of krb5, ldap and
      sss PAM modules is enabled.
    - Change ldap-client test to not look for cn=machines which seem
      to be unused but look for cn=admins instead.  Change it also to
      search only from the base to not require any specific structure.
    - Extend ldap-client test to check that certificate verification
      is enabled for nslcd, sssd and ldapsearch.
    - Start on test suite for the sudo in LDAP setup.
    - Update dhcpd test to look for the new binary name dhcpd.
    - Extend ldap-server to verify that encryption is enforced for
      LDAP bind.
    - Change the CUPS test to only check http access to www on the
      Main-Server profiles, and check access to localhost for all
      profiles.  Add check for https.
    - Create new nagios test script, to verify that Nagios do not
      report any errors after installation.
    - Try to detect and report if bug #582568 in kde/kdm is still
      present in the kdm test.


=== debian/control ===
Source: debian-edu-config
Section: misc
Priority: extra
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Finn-Arne Johansen <faj@bzz.no>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>, Klaus Ade Johnstad <klaus@skolelinux.no>, Patrick Winnertz <winnie@debian.org>, Vagrant Cascadian <vagrant@debian.org>, Andreas B. Mundt <andi.mundt@web.de>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: po-debconf, po4a
Homepage: http://www.skolelinux.org
Vcs-Browser: http://svn.debian.org/wsvn/debian-edu/trunk/src/debian-edu-config/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/debian-edu/trunk/src/debian-edu-config/
XS-DM-Upload-Allowed: yes

Package: debian-edu-config
Architecture: all
Depends: ${misc:Depends}, debconf-utils, cfengine2, libconfig-inifiles-perl, mime-support, libnet-ldap-perl, ng-utils, host, desktop-profiles, lsb-base, ssl-cert, openssl, libfilesys-df-perl, libtext-unaccent-perl, libhtml-fromtext-perl, libio-socket-ssl-perl, discover, tftp | tftp-hpa, debian-edu-artwork, education-tasks (>= 0.842~svn60380), net-tools, patch, libjavascript-perl, base-files (>= 5.3), python-notify, libterm-readkey-perl, fping, ldap-utils, libnet-netmask-perl
Recommends: resolvconf, xresprobe, syslinux, memtest86+, libnotify-bin, lsof
Suggests: atftpd | tftpd-hpa
Breaks: nslcd (<< 0.7.7), dhcp3-client (<< 4.1.1-P1-9), dhcp3-server (<< 4.1.1-P1-9), slapd (<< 2.4.23-5)
Description: Configuration files for Skolelinux systems
 Installs cfengine config files to be used by the machines set up as part
 of the Skolelinux project.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=debian-edu-config

DESTDIR=`pwd`/debian/debian-edu-config

build:
	$(checkdir)

	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	$(MAKE) clean
	dh_clean

binary-arch: 

binary-indep: checkroot build
	$(checkdir)
	dh_testdir
	dh_testroot
	install -d $(DESTDIR)
	cd $(DESTDIR) && install -d `cat ../dirs`
	$(MAKE) install prefix=/usr DESTDIR=$(DESTDIR)
	dh_installdebconf
	dh_installdocs
	dh_installdirs
	dh_installcron
	dh_installinit --init-script open-backdoor
	# Start it after 91apache
	dh_installinit --init-script fetch-ldap-cert -r --no-start -u"start 95 2 3 4 5 ."
	dh_installinit --init-script enable-nat --no-start
	# Should start before syslog, to make sure the correct hostname is used in logs
	dh_installinit --init-script update-hostname --no-start -u"start 05 2 3 4 5 ."
	dh_installinit --init-script start-wlan --no-start
	dh_installinit --init-script report-reboot -r --no-start -u"start 20 2 3 4 5 ."
	dh_installchangelogs
	#dh_link /usr/share/debian-edu-config/tools/ldapdump.sh /etc/slbackup/pre.d/ldapdump.sh
	#dh_link /etc/apache2/mods-available/userdir.load /etc/apache2/mods-available/debian-edu-userdir.load
	dh_link
	dh_gencontrol
	dh_gconf  --priority=50
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_md5sums
	dh_builddeb

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## debian-edu-config 1.446

=== Makefile ===
--- 
+++ 
@@ -15,8 +15,7 @@
 	debian-edu-restart-services \
 	debian-edu-test-install \
 	debian-edu-update-netblock \
-	snakeoil-on-ice \
-	update-hostname-from-ip
+	snakeoil-on-ice 
 
 INSTALL     = install -D -p -m 755
 INSTALL_DATA= install -D -p -m 644
@@ -40,9 +39,9 @@
 
 
 CFFILES = \
+	cf.adduser \
 	cf.apache2 \
 	cf.apt \
-	cf.pdns \
 	cf.cfengine \
 	cf.cups \
 	cf.dhcpserver \
@@ -52,12 +51,16 @@
 	cf.iceweasel \
 	cf.inetd \
 	cf.kdm \
+	cf.krb5client \
 	cf.ldapserver \
 	cf.ldapclient \
+	cf.bind \
 	cf.ltsp \
+	cf.pxeinstall \
 	cf.lwat \
 	cf.fstab \
 	cf.mplayer \
+	cf.network-manager \
 	cf.nagios3 \
 	cf.ntp \
 	cf.samba \
@@ -77,20 +80,24 @@
 	asound.conf \
 	apt/apt.conf.d/90squid \
 	apt/apt.conf.d/99-edu-prefer-iceweasel \
+	bind/named.conf.ldap2zone \
+	bind/db.intern \
+	bind/db.10.in-addr.arpa. \
+	bind/db.subnet00.intern. \
+	bind/db.subnet01.intern. \
+	bind/db.0.168.192.in-addr.arpa. \
+	bind/db.1.168.192.in-addr.arpa. \
 	X11/Xsession.d/05debian-edu-truncate-xerrorlog \
 	X11/Xsession.d/10debian-edu-one-login-per-host \
-	X11/Xsession.d/15debian-edu-ltsp \
 	desktop-profiles/debian-edu-config.listing \
 	debian-edu/hd-warn.conf \
 	debian-edu/nightkill.conf \
 	debian-edu/lts.conf.dist \
-	default/backdoor \
 	default/munin-node \
 	cfengine/cfservd.conf \
 	cfengine/update.conf \
 	cfengine/inputs/cfagent.conf \
 	cups/cupsd-debian-edu.conf \
-	dhcp/dhclient-exit-hooks.d/hostname-update \
 	dhcp/dhclient-exit-hooks.d/wpad-proxy-update \
 	dhcp/dhcpd-debian-edu.conf \
 	dhcp/dhclient-debian-edu.conf \
@@ -98,18 +105,42 @@
 	exim4/exim-ldap-server-v4.conf \
 	filesystems \
 	gosa/gosa.conf \
+	php5/apache2/php-debian-edu.ini \
 	insserv/overrides/kdm \
 	insserv/overrides/ntp \
 	insserv.conf.d/debian-edu-config \
 	ldap/rootDSE-debian-edu.ldif \
 	ldap/slapd-squeeze_debian-edu.conf \
 	ldap/ssl/slapd-cert.cnf \
-	samba/netlogon/login.bat \
-	samba/netlogon/shortcut.vbs \
+	samba/netlogon/1stlogon/1stlogon.bat \
+	samba/netlogon/config/get_time.bat \
+	samba/netlogon/config/penguin.bat \
+	samba/netlogon/config/setglobals.bat \
+	samba/netlogon/config/standarddrives-students.bat \
+	samba/netlogon/config/standarddrives-teachers.bat \
+	samba/netlogon/debian-edu-login.bat \
+	samba/netlogon/_default_/default.bat \
+	samba/netlogon/install/shortcut.vbs \
+	samba/netlogon/logon-admins.bat \
+	samba/netlogon/logon-jradmins.bat \
+	samba/netlogon/logon-students.bat \
+	samba/netlogon/logon-teachers.bat \
+	samba/netlogon/mozilla/firefox/prefs.js \
+	samba/netlogon/mozilla/mkmozapd.bat \
+	samba/netlogon/mozilla/profiles.ini.FIREFOX \
+	samba/netlogon/mozilla/profiles.ini.THUNDERBIRD \
+	samba/netlogon/registry/proxy-ie/proxy-settings-hkcu.reg \
+	samba/netlogon/win7+samba_domain-membership/DownloadWinRessourceKits.bat \
+	samba/netlogon/win7+samba_domain-membership/README_Win7-Domain-Membership.txt \
+	samba/netlogon/win7+samba_domain-membership/SeSystemTimePrivilege.bat \
+	samba/netlogon/win7+samba_domain-membership/Win7_Samba3DomainMember.reg \
+	samba/smb-debian-edu-client.conf \
 	samba/smb-debian-edu.conf \
 	samba/smb-winbind-debian-edu.conf \
 	security/pam_mount-winbind-debian-edu.conf \
 	security/pam_mount-stateless-debian-edu.conf \
+	smbldap-tools/smbldap_bind.conf \
+	smbldap-tools/smbldap.conf \
 	sssd/sssd-debian-edu.conf \
 	xdg/autostart/welcome-webpage.desktop \
 	lsb-release \
@@ -150,7 +181,8 @@
 	resolvconf/update.d/bind-debian-edu \
 	resolvconf/update.d/ltsp-chroots \
 	X11/Xsession-debian-edu \
-	samba/smbaddclient.pl
+	samba/smbaddclient.sh \
+	samba/smbldap-machineadd-gosa
 
 SCHEMAS = \
 	samba.schema \
@@ -177,17 +209,18 @@
 	autofs.ldif \
 	ipnetworks.ldif \
 	netgroup.ldif \
-	dhcp.ldif \
-	dhcp_hosts.ldif \
-	dns_skole.ldif \
-	dns_arpa.ldif \
-	dns_ranges.ldif \
 	samba.ldif \
 	sudo.ldif \
 	krb5.ldif \
 	ltsp.ldif \
 	gosa.ldif \
 	gosa-server.ldif
+#	dhcp.ldif \
+#	dhcp_hosts.ldif \
+#	dns_skole.ldif \
+#	dns_arpa.ldif \
+#	dns_ranges.ldif \
+	
 
 LDAPPROGRAMS = \
 	ldap-add-host-to-netgroup \
@@ -201,6 +234,7 @@
 	sitesummary2ldapdhcp
 
 WWWFILES = \
+	index.html.ca \
 	index.html.de \
 	index.html.en \
 	index.html.es \
@@ -208,6 +242,7 @@
 	index.html.it \
 	index.html.nb \
 	index.html.nl \
+	index.html.pt \
 	index.html.ru \
 	index.html.zh \
 	skl-ren_css.css \
@@ -340,34 +375,3 @@
 		share/debian-edu-config/ltsp_local_mount \
 		share/initramfs-tools/scripts/nfs-bottom/before-ltsp \
 		share/ltsp/ltsp_config.d/debian-edu-config-ldap \
-		share/ltsp/ltsp_config.d/debian-edu-config-rwbind \
-	; do \
-		$(INSTALL) $$f $(DESTDIR)/usr/$$f ; \
-	done
-
-	set -e ; for f in share/debian-edu/common/share/config/kcookiejarrc \
-		share/debian-edu/common/share/apps/kicker/default-apps \
-		share/debian-edu/common/share/config/artsmessagerc \
-		share/debian-edu/common/share/config/kdeglobals \
-		share/debian-edu/common/share/config/kdeprintrc \
-		share/debian-edu/common/share/config/kpersonalizerrc \
-		share/debian-edu/common/share/config/konquerorrc \
-		share/debian-edu/common/share/config/kickoffrc \
-		share/debian-edu/common/share/config/nepomukserverrc \
-		share/debian-edu/common/share/mimelnk/applnk/msword.desktop \
-		share/debian-edu/networked-kde3/share/config/kioslaverc \
-		share/debian-edu/networked-kde3/share/config/adept_notifierrc \
-		share/debian-edu/networked-kde3/share/config/networkmanagementrc \
-		share/debian-edu/thin-client/share/config/kcmartsrc \
-	; do \
-		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
-	done
-
-	set -e ; for f in $(KIOSKFILES) ; do \
-		$(INSTALL_DATA) "$$f" "$(DESTDIR)/usr/$$f" ; \
-	done
-
-	set -e ; for f in \
- share/ltsp/plugins/ltsp-build-client/Debian-custom/000-arch-detection \
- share/ltsp/plugins/ltsp-build-client/Debian-custom/000-default-dist \
- share/ltsp/plugins/ltsp-build-client/Debian-custom/002-default-apt-keyring \

=== www/Makefile ===
--- 
+++ 
@@ -8,13 +8,15 @@
 WEBPAGES = \
   index.html.de \
   index.html.en \
+  index.html.ca \
   index.html.es \
   index.html.nl \
   index.html.nb \
   index.html.fr \
   index.html.it \
+  index.html.pt \
   index.html.ru \
-  index.html.zh
+  index.html.zh 
 
 all: index.pot $(WEBPAGES)
 
@@ -23,6 +25,10 @@
 
 index.html.de: index.html.en de.po
 	po4a-translate -f xhtml -M UTF-8 -m index.html.en -p de.po -l $@.new -o attributes='<html><head><meta>content'
+	mv $@.new $@
+
+index.html.ca: index.html.en ca.po
+	po4a-translate -f xhtml -M UTF-8 -m index.html.en -p ca.po -l $@.new -o attributes='<html><head><meta>content'
 	mv $@.new $@
 
 index.html.es: index.html.en es.po
@@ -45,6 +51,10 @@
 	po4a-translate -f xhtml -M UTF-8 -m index.html.en -p nb.po -l $@.new -o attributes='<html><head><meta>content'
 	mv $@.new $@
 
+index.html.pt: index.html.en pt.po
+	po4a-translate -f xhtml -M UTF-8 -m index.html.en -p pt.po -l $@.new -o attributes='<html><head><meta>content'
+	mv $@.new $@
+
 index.html.ru: index.html.en ru.po
 	po4a-translate -f xhtml -M UTF-8 -m index.html.en -p ru.po -l $@.new -o attributes='<html><head><meta>content'
 	mv $@.new $@

=== debian/changelog ===
debian-edu-config (1.446) unstable; urgency=low

  * Release of thirty-nine prereleases done in Debian Edu to Debian sid, 
    aimed at Debian squeeze. See below for exact list of changes.

  * debian-edu-config (1.446~svn74353) squeeze-test; urgency=low

  [ Petter Reinholdtsen ]
  * Change approach to increase entropy in
    /usr/share/debian-edu-config/d-i/finish-install to trigger
    disk IO instead of trying to increase the entropy amount by
    adding to /dev/urandom.
  * Reintroduce file descriptor closing when starting bind9, as
    it seem to solve part of the problem.

  * debian-edu-config (1.446~svn74336) squeeze-test; urgency=low

  [ Petter Reinholdtsen ]
  * Undo change to close file descriptor 3 when starting bind9.
    It did not really address the problem, which is running out
    of entropy during installation.
  * Add code in /usr/share/debian-edu-config/d-i/finish-install
    to try to add more entropy when running low.

  * debian-edu-config (1.446~svn74325) squeeze-test; urgency=low

  [ Petter Reinholdtsen ]
  * Disable browser.safebrowsing.malware.enabled and
    browser.safebrowsing.enabled in Iceweasel, to avoid excessive I/O
    on the home directory server when several users log in.
    (Closes: #652535)
  * Make sure to close file descriptor 3 when starting bind9 from the
    installer, to avoid hanging the installer while waiting for it to
    close.

  * debian-edu-config (1.446~svn74311) squeeze-test; urgency=low

  [ Petter Reinholdtsen ]
  * Add new LDAP index for uniqueMember attribute in
    slapd-squeeze_debian-edu.conf, to ensure libnss-ldapd searches are
    processed quickly and syslog do not will up with heaps of messages
    stating "<= bdb_equality_candidates: (uniqueMember) not indexed".
  * Extend testsuite/ldap-server to include a simple stress test
    ensuring that the LDAP server work also with more than 1024 LDAP
    connections open.  Should ensure that problem discovered with
    Debian Edu/Lenny do not resurface.

  * debian-edu-config (1.446~svn74227) squeeze-test; urgency=low

  [ Mike Gabriel ]
  * Prepare LTSP rwbind on diskless workstations for /var/log/ntpstats
    (addresses #638287), currently commented out because of RAM consumption
    on diskless workstations.
  * Provide LTSP rwbind on diskless workstations for /var/lib/alsa. Silence
    an error report on diskless workstation shutdown.

  [ Andreas B. Mundt ]
  * Fix regex in gosa-remove: A username may contain dots.

  * debian-edu-config (1.446~svn74195) squeeze-test; urgency=low

  [ Holger Levsen ]
  * Makefile: deploy cf.pxeinstall too.

  * debian-edu-config (1.446~svn74178) squeeze-test; urgency=low

  [ Holger Levsen ]
  * ldap-tools/mkslapdcert: make more robust.
  * cf/cf.adduser and cf.dhcpserver: don't run sbin/debian-edu-pxeinstall
    anymore, instead add a new script cf/cf.pxeinstall for this
    purpose. (Closes: #630970) 
  * If this still doesn't make the hanging at the end of debian-edu-profile
    finish-install go away, I suggest to try with /dev/urandom, to be set in 
    slapd-cert.cnf.

  * debian-edu-config (1.446~svn74165) squeeze-test; urgency=low

  [ Holger Levsen ]
  * ldap-tools/mkslapdcert: invoke /etc/init.d/urandom start of
    /var/lib/urandom/random-seed doesn't exist. 

  * debian-edu-config (1.446~svn74129) squeeze-test; urgency=low

  [ Holger Levsen ]
  * ldap-tools/mkslapdcert: try harder to fix #630970, grep in more
    directories.

  * debian-edu-config (1.446~svn74128) squeeze-test; urgency=low

  [ Mike Gabriel ]
  * ldap2bind command during LDAP bootstrap (installation) has to
    run as user ,,bind''.
  * Fix for SVN r74090, saving of roaming profiles.
  * Assure that all Samba related config files are included in d-e-c package,
    esp. adding Win7+Samba related patches and cmd scripts.

  * debian-edu-config (1.446~svn74106) squeeze-test; urgency=low

  [ Mike Gabriel ]
  * Add cf.krb5client to Makefile.

  * debian-edu-config (1.446~svn74095) squeeze-test; urgency=low

  [ Mike Gabriel ]
  * Fix saving of roaming profiles for Windows XP.
  * Disable UAC on Windows 7 systems by default.
  * Samba netlogon: fix for 1stlogon.bat script plus filename
    fix for IE proxy registry patch.

  * debian-edu-config (1.446~svn74072) squeeze-test; urgency=low

  [ Holger Levsen ]
  * cupsd-debian-edu.conf: allow printing from 10.0.0.0/8.
  * ldap-bootstrap/dhcp.ldif and ipnetworks.ldif: updated for using 
    10.0.0.0/8.
  * cf/cf.syslog and cf.ltsp: updated for using 10.0.0.0/8.
  * /etc/cfengine/cfservd.conf: updated for using 10.0.0.0/8.
  * tools/subnet-change: updated to use 10.0.0.0/8.

  [ Mike Gabriel ]
  * Suppress dovecot warning message that appears on daemon start
    if IMAP login has not happened so far.
  * Disable IPv6 for Samba on Skolelinux systems (clients+server).
  * LDAP-bootstrap: Add _kerberos TXT record for default realm INTERN,
    add _kerberos-master SRV record and _kerberos-adm SRV record. Cfengine:
    Manipulate krb5.conf file on all networked systems, setting dns_lookup_kdc
    and dns_lookup_realm to true. (Closes: #629062, #638285)
  * Initial sync of DNS information from LDAP to bind9 config during LDAP
    bootstrap.
  * Provide registry patchset and some helper scripts (.bat) that facilitate
    Windows 7 (or Windows 2008 Server) joining to the SKOLELINUX Samba domain.
  * Handle removal of conffiles (init scripts: update-hostname, open-backdoor,
    resize_lvm) in preinst _and_ postinst.
  * Make 1stlogon.bat script (Samba netlogon share) functional for WinXP and
    Win7.

  * debian-edu-config (1.446~svn74028) squeeze-test; urgency=low

  [ Mike Gabriel ]
  * Disabled debugging option (set -x) in mkslapdcert.
  * Add php.ini (PHP5) for Debian Edu server.
  * Tweak php.ini for GOsa² mass imports (raise execution and input time,
    memory limit, closes: #638434).
  * Work around libnss caching problems and script error handling in Samba.



=== debian/control ===
Source: debian-edu-config
Section: misc
Priority: extra
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Finn-Arne Johansen <faj@bzz.no>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>, Klaus Ade Johnstad <klaus@skolelinux.no>, Patrick Winnertz <winnie@debian.org>, Vagrant Cascadian <vagrant@debian.org>, Andreas B. Mundt <andi.mundt@web.de>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: po-debconf, po4a
Homepage: http://www.skolelinux.org
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-edu/trunk/src/debian-edu-config/
Vcs-Svn: svn://svn.debian.org/debian-edu/trunk/src/debian-edu-config/
XS-DM-Upload-Allowed: yes

Package: debian-edu-config
Architecture: all
Depends: ${misc:Depends}, debconf-utils, cfengine2, libconfig-inifiles-perl, mime-support, libnet-ldap-perl, ng-utils, host, desktop-profiles, lsb-base, ssl-cert, openssl, libfilesys-df-perl, libtext-unaccent-perl, libhtml-fromtext-perl, libio-socket-ssl-perl, discover, tftp | tftp-hpa, debian-edu-artwork, education-tasks (>= 0.842~svn60380), net-tools, patch, libjavascript-perl, base-files (>= 5.3), python-notify, libterm-readkey-perl, fping, ldap-utils, libnet-netmask-perl, smbldap-tools
Recommends: resolvconf, ddccontrol | xresprobe, syslinux, memtest86+, libnotify-bin, lsof
Suggests: atftpd | tftpd-hpa
Breaks: nslcd (<< 0.7.7), dhcp3-client (<< 4.1.1-P1-9), dhcp3-server (<< 4.1.1-P1-9), slapd (<< 2.4.23-5)
Description: Configuration files for Skolelinux systems
 Installs cfengine config files to be used by the machines set up as part
 of the Skolelinux project.

Package: debian-edu-config-gosa-netgroups
Architecture: all
Depends: ${misc:Depends}, gosa
Conflicts: gosa (>= 2.7)
Description: netgroups plugin for GOsa²
 NIS Netgroups plugin.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

=== debian/rules ===
--- 
+++ 
@@ -27,16 +27,15 @@
 	install -d $(DESTDIR)
 	cd $(DESTDIR) && install -d `cat ../dirs`
 	$(MAKE) install prefix=/usr DESTDIR=$(DESTDIR)
+	dh_install --exclude=.svn
 	dh_installdebconf
 	dh_installdocs
 	dh_installdirs
 	dh_installcron
-	dh_installinit --init-script open-backdoor
 	# Start it after 91apache
 	dh_installinit --init-script fetch-ldap-cert -r --no-start -u"start 95 2 3 4 5 ."
 	dh_installinit --init-script enable-nat --no-start
 	# Should start before syslog, to make sure the correct hostname is used in logs
-	dh_installinit --init-script update-hostname --no-start -u"start 05 2 3 4 5 ."
 	dh_installinit --init-script start-wlan --no-start
 	dh_installinit --init-script report-reboot -r --no-start -u"start 20 2 3 4 5 ."
 	dh_installchangelogs
